<?php
/**
 * @file
 * Footer variables.
 */

/**
 * Footer config form.
 */
function tm_site_config_footer_form($form, &$form_state) {
  // Social.
  $form['fs_social'] = array(
    '#type' => 'fieldset',
    '#title' => t('Social'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );

  $form['fs_social']['fs_twitter'] = array(
    '#type' => 'fieldset',
    '#title' => t('Twitter'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );

  $form['fs_social']['fs_twitter']['tm_twitter'] = array(
    '#type' => 'textfield',
    '#title' => t('Twitter Url'),
    '#default_value' => variable_get('tm_twitter', ''),
    '#size' => 80,
    '#maxlength' => 100,
    '#required' => TRUE,
  );

  $form['fs_social']['fs_facebook'] = array(
    '#type' => 'fieldset',
    '#title' => t('Facebook'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );

  $form['fs_social']['fs_facebook']['tm_facebook'] = array(
    '#type' => 'textfield',
    '#title' => t('Facebook Url'),
    '#default_value' => variable_get('tm_facebook', ''),
    '#size' => 80,
    '#maxlength' => 100,
    '#required' => TRUE,
  );

  $form['fs_social']['fs_youtube'] = array(
    '#type' => 'fieldset',
    '#title' => t('Youtube'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );

  $form['fs_social']['fs_youtube']['tm_youtube'] = array(
    '#type' => 'textfield',
    '#title' => t('Facebook Url'),
    '#default_value' => variable_get('tm_youtube', ''),
    '#size' => 80,
    '#maxlength' => 100,
    '#required' => TRUE,
  );
  // Info.
  $form['g_info'] = array(
    '#type' => 'fieldset',
    '#title' => t('Copy'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );

  $form['g_info']['tm_copy'] = array(
    '#type' => 'textarea',
    '#title' => t('Site copy'),
    '#default_value' => variable_get('tm_copy', ''),
    '#description' => t('Enter the copy information'),
  );

  // Contact.
  $form['g_contact'] = array(
    '#type' => 'fieldset',
    '#title' => t('Contact'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );

   $form['g_contact']['tm_contact_'.$i]['tm_contact_fieldsets'] = array(
      '#title' => t('Contact fieldsets number'),
      '#type' => 'textfield',
      '#format' => 'full_html',      
      '#default_value' => variable_get('tm_contact_fieldsets', 7),
  );

  $contact_fieldsets = variable_get('tm_contact_fieldsets', 7);

  for ($i=1; $i < $contact_fieldsets+1; $i++) { 
    
    $form['g_contact']['tm_contact_'.$i] = array(
      '#title' => t('Contact fieldset  '.$i),
      '#type' => 'fieldset',
      '#collapsible' => TRUE,
      '#collapsed' => TRUE,
    );
    $vid = variable_get('co_contact_image'.$i);
       
    $form['g_contact']['tm_contact_'.$i]['co_contact_image'.$i] = array(
      '#title' => t('Icon'),
      '#type' => 'managed_file',
      '#description' => t('Upload the image for the contact icon'),
      '#default_value' => $vid,
      '#upload_location' => 'public://uploads/contact_images',
    );

    $form['g_contact']['tm_contact_'.$i]['co_contact_alt'.$i] = array(
      '#title' => t('Contact image alt'),
      '#type' => 'textfield',
      '#format' => 'full_html',
      '#description' => t('Here, you can write the text for the contact alt image text'),
      '#default_value' => variable_get('co_contact_alt'.$i, ''),
    );

    $form['g_contact']['tm_contact_'.$i]['co_contact_image_title'.$i] = array(
      '#title' => t('Contact image title'),
      '#type' => 'textfield',
      '#format' => 'full_html',
      '#description' => t('Here, you can write the text for the contact title image text'),
      '#default_value' => variable_get('co_contact_image_title'.$i, ''),
    );

   
    $form['g_contact']['tm_contact_'.$i]['co_contact_label'.$i] = array(
      '#title' => t('Contact Label'),
      '#type' => 'textfield',
      '#format' => 'full_html',
      '#description' => t('Here, you can write the text for the contact label'),
      '#default_value' => variable_get('co_contact_label'.$i, ''),
    );

    $form['g_contact']['tm_contact_'.$i]['co_contact_title'.$i] = array(
      '#title' => t('Contact title'),
      '#type' => 'textfield',
      '#format' => 'full_html',
      '#description' => t('Here, you can write the text for the contact title'),
      '#default_value' => variable_get('co_contact_title'.$i, ''),
    );    
    
  }

  //institutional bar
  //
  $form['g_institutional'] = array(
    '#type' => 'fieldset',
    '#title' => t('Institutional bar'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );

  $form['g_institutional']['institutional_block'] = array(
    '#type' => 'textarea',
    '#title' => t('Institutional script'),
    '#default_value' => variable_get('institutional_block', ''),
    '#description' => t('Enter the institutional script'),
  );

  return system_settings_form($form);
}

