<?php
/**
 * @file
 * Form for block gallery.
 */

/**
 * Image form().
 */
function tm_site_config_galleries_form($form, &$form_state) {
  $form['tm_da_sitp'] = array(
    '#type' => 'fieldset',
    '#title' => t('SITP data'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['tm_da_sitp']['tm_da_sitp_image_es'] = array(
    '#title' => t('SITP Image:'),
    '#type' => 'managed_file',
    '#description' => t('Upload the image for sitp page'),
    '#default_value' => variable_get('tm_da_sitp_image', ''),
    '#upload_location' => 'public://',
  );
  $form['tm_da_sitp']['tm_da_sitp_link_es'] = array(
    '#type' => 'textfield',
    '#title' => t('SIP image link Link'),
    '#description' => t('Here, you can write the link for the data SITP image'),
    '#default_value' => variable_get('tm_da_sitp_link', ''),
  );
  $form['tm_da_sitp']['tm_da_sitp_image_en'] = array(
    '#title' => t('SITP image in English'),
    '#type' => 'managed_file',
    '#description' => t('Upload the sitp image in English'),
    '#default_value' => variable_get('tm_da_sitp_image2', ''),
    '#upload_location' => 'public://',
    );
  $form['tm_da_sitp']['tm_da_sitp_link_en'] = array(
    '#type' => 'textfield',
    '#title' => t('SITP image link in English'),
    '#description' => t('Write the link for the image in English'),
    '#default_value' => variable_get('tm_da_sitp_link2', ''),
    );
  $form['tm_da_sitp']['tm_da_sitp_style'] = array(
    '#title' => t('Image SITP Style'),
    '#type' => 'select',
    '#options' => tm_get_image_styles(),
    '#default_value' => variable_get('tm_da_sitp_style', 2),
    '#description' => t('Select the image Style.'),
  );

  // Video.
  $form['tm_b_video'] = array(
    '#type' => 'fieldset',
    '#title' => t('Video'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['tm_b_video']['tm_b_video_image'] = array(
    '#title' => t('Video Image:'),
    '#type' => 'managed_file',
    '#description' => t('Upload the image for image gallery'),
    '#default_value' => variable_get('tm_b_video_image', ''),
    '#upload_location' => 'public://',
  );
  $form['tm_b_video']['tm_b_video_style'] = array(
    '#title' => t('Image video Style'),
    '#type' => 'select',
    '#options' => tm_get_image_styles(),
    '#default_value' => variable_get('tm_b_video_style', 2),
    '#description' => t('Select the image Style.'),
  );

  // Disability.
  $form['tm_da_disability'] = array(
    '#type' => 'fieldset',
    '#title' => t('Disability'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
  $form['tm_da_disability']['tm_da_disability_image_es'] = array(
    '#title' => t('Disability Image:'),
    '#type' => 'managed_file',
    '#description' => t('Upload the image for disability page'),
    '#default_value' => variable_get('tm_da_disability_image_es', ''),
    '#upload_location' => 'public://',
  );
  $form['tm_da_disability']['tm_da_disability_link_es'] = array(
    '#type' => 'textfield',
    '#title' => t('Disability image link Link'),
    '#description' => t('Here, you can write the link for the data SITP image.'),
    '#default_value' => variable_get('tm_da_disability_link_es', ''),
  );
  $form['tm_da_disability']['tm_da_disability_image_en'] = array(
    '#title' => t('Disability Image in English'),
    '#type' => 'managed_file',
    '#description' => t('Upload the image for disability page.'),
    '#default_value' => variable_get('tm_da_disability_image_en'),
    '#upload_location' => 'public://',
    );
  $form['tm_da_disability']['tm_da_disability_link_en'] = array(
    '#type' => 'textfield',
    '#title' => t('Disability image link'),
    '#description' => t('Here, you can write the link for the data SITP image'),
    '#default_value' => variable_get('tm_da_disability_link_en', ''),
    );
  $form['tm_da_disability']['tm_da_disability_style'] = array(
    '#title' => t('Disability SITP Style'),
    '#type' => 'select',
    '#options' => tm_get_image_styles(),
    '#default_value' => variable_get('tm_da_disability_style', 2),
    '#description' => t('Select the image Style.'),
  );

  $form['submit'] = array(
    '#type' => 'submit',
    '#value' => t('Save'),
  );
  return $form;
}

/**
 * Image form().
 */
function tm_site_config_galleries_form_submit($form, &$form_state) {
  // Imagenes.
  $images = array(
    'tm_da_sitp_image_es',
    'tm_b_video_image',
    'tm_da_disability_image_en',
    'tm_da_sitp_image_en',
    'tm_da_disability_image_es',
  );
  foreach ($images as $key => $image) {
    if ($form_state['values'][$image] != 0) {
      // Load the file via file.fid.
      $file = file_load($form_state['values'][$image]);
      // Change status to permanent.
      $file->status = FILE_STATUS_PERMANENT;
      // Save.
      file_save($file);
      // Record that the module (in this example, user module) is using the file.
      file_usage_add($file, 'tm_site_config', 'module', $file->fid);
      // Set the variables.
      variable_set($image, $form_state['values'][$image]);
    }
  }

  $styles = array(
    'tm_da_sitp_style',
    'tm_b_video_style',
    'tm_da_disability_style',
  );
  foreach ($styles as $key => $style) {
    if (isset($form_state['values'][$style])) {
      variable_set($style, $form_state['values'][$style]);
    }
  }

  $links = array(
    'tm_da_sitp_link_es',
    'tm_da_disability_link_en',
    'tm_da_sitp_link_es',
    'tm_da_disability_link_en',
  );
  foreach ($links as $key => $link) {
    if (isset($form_state['values'][$link])) {
      variable_set($link, $form_state['values'][$link]);
    }
  }
  drupal_set_message(t('Changes saved'));
}

