<?php
/**
 * @file
 * Form for planning routes
 */

/**
 * Image form().
 */
function tm_site_config_planning_form($form, &$form_state){
	$form['tm_planning_image_es'] = array(
    '#title' => t('Image:'),
    '#type' => 'managed_file',
    '#description' => t('Upload the image for planning routes'),
    '#default_value' => variable_get('tm_planning_image_es'),
    '#upload_location' => 'public://',
    );
  $form['tm_planning_link_es'] = array(
    '#type' => 'textfield',
    '#format' => 'full_html',
    '#title' => t('Link'),
    '#description' => t('link for the planning image'),
    '#default_value' => variable_get('tm_planning_link_es', ''),
    );
  $form['tm_planning_image_en'] = array(
    '#title' => t('Image in English:'),
    '#type' => 'managed_file',
    '#description' => t('Upload the moovit image in English'),
    '#default_value' => variable_get('tm_planning_image_en'),
    '#upload_location' => 'public://',
    );
  $form['tm_planning_link_en'] = array(
    '#type' => 'textfield',
    '#format' => 'full_html',
    '#title' => t('Link in English'),
    '#description' => t('Link for moovit in English'),
    '#default_value' => variable_get('tm_planning_link_en', ''),
    );
  $form['tm_planning_image_style'] = array(
    '#title' => t('Image Style'),
    '#type' => 'select',
    '#options' => tm_get_image_styles(),
    '#default_value' => variable_get('tm_planning_image_style', 2),
    '#access' => user_access('administer site_configuration'),
    '#description' => t('Select the image style for planning routes.'),
    );
  $form['submit'] = array(
    '#type' => 'submit',
    '#value' => t('submit'),
    );
  return $form;
}

function tm_site_config_planning_form_submit($form, &$form_state){
  $banner_image_es = variable_get('tm_planning_image_es', '');
  $banner_image_en = variable_get('tm_planning_image_en', '');
  // Image processing for main image.
  if($form_state['values']['tm_planning_image_es'] == 0){
    if($banner_image != 0){
      $file = file_load($banner_image_es);
      file_delete($file, TRUE);
    }
  }
  else{
    $file = file_load($form_state['values']['tm_planning_image_es']);
    $file->status = FILE_STATUS_PERMANENT;
    file_save($file);
    file_usage_add($file, 'tm_site_config', 'module', $file->fid);
  }
  if ($form_state['values']['tm_planning_image_en'] == 0) {
    if ($banner_image_en != 0) {
      $file = file_load($banner_image_en);
      file_delete($file, TRUE);
    }
  }
  else {
    $file = file_load($form_state['values']['tm_planning_image_en']);
    $file->status = FILE_STATUS_PERMANENT;
    file_save($file);
    file_usage_add($file, 'tm_site_config', 'module', $file->fid);
  }
  variable_set('tm_planning_image_es', $form_state['values']['tm_planning_image_es']);
  variable_set('tm_planning_image_style', $form_state['values']['tm_planning_image_style']);
  variable_set('tm_planning_link_es', $form_state['values']['tm_planning_link_es']);
  variable_set('tm_planning_image_en', $form_state['values']['tm_planning_image_en']);
  variable_set('tm_planning_link_en', $form_state['values']['tm_planning_link_en']);
}