<?php
/**
 * @file
 * Form for our prices.
 */

/**
 * Image form().
 */
function tm_site_config_prices_form($form, &$form_state){
	$form['images'] = array(
    '#title' => t('Images:'),
    '#type' => 'fieldset',
    '#collapsible' => FALSE,
    '#collapsed' => FALSE,
  );
  $form['images']['tm_price_image_es'] = array(
    '#title' => t('Image:'),
    '#type' => 'managed_file',
    '#description' => t('Upload the image for our prices'),
    '#default_value' => variable_get('tm_price_image_es', ''),
    '#upload_location' => 'public://',
    );
  $form['images']['tm_link_es'] = array(
    '#type' => 'textfield',
    '#format' => 'full_html',
    '#title' => t('Link'),
    '#description' => t('Here, you can write the link for the image'),
    '#default_value' => variable_get('tm_link_es', ''),
    );
  $form['images']['tm_price_image_en'] = array(
    '#title' => t('Image in English'),
    '#type' => 'managed_file',
    '#description' => t('Upload the image in English'),
    '#default_value' => variable_get('tm_price_image_en', ''),
    '#upload_location' => 'public://',
    );
  $form['images']['tm_link_en'] = array(
    '#type' => 'textfield',
    '#format' => 'full_html',
    '#title' => t('link'),
    '#description' => t('Write the link for the image'),
    '#default_value' => variable_get('tm_link_en', ''), 
    );
  $form['tm_image_style'] = array(
    '#title' => t('Image Style'),
    '#type' => 'select',
    '#options' => tm_get_image_styles(),
    '#default_value' => variable_get('tm_image_style', 2),
    '#access' => user_access('administer site configuration'),
    '#description' => t('Select the image style for the prices.'),
    );
  $form['submit'] = array(
    '#type' => 'submit',
    '#value' => t('submit'),
    );
  return $form;
} 

function tm_site_config_prices_form_submit($form, &$form_state) {
  $banner_image_es = variable_get('tm_price_image_es', '');
  $banner_image_en = variable_get('tm_price_image_en', '');
  // Image processing for main image.
  if ($form_state['values']['tm_price_image_es'] == 0) {
    if ($banner_image_es != 0) {
      $file = file_load($banner_image_es);
      file_delete($file, TRUE);
    }
  }
  else {
    $file = file_load($form_state['values']['tm_price_image_es']);
    $file->status = FILE_STATUS_PERMANENT;
    file_save($file);
    file_usage_add($file, 'tm_site_config', 'module', $file->fid);
  }
  if ($form_state['values']['tm_price_image_en'] == 0) {
    if ($banner_image_en != 0) {
      $file = file_load($banner_image_en);
      file_delete($file, TRUE);
    }
  }
  else {
    $file = file_load($form_state['values']['tm_price_image_en']);
    $file->status = FILE_STATUS_PERMANENT;
    file_save($file);
    file_usage_add($file, 'tm_site_config', 'module', $file->fid);
  }
  variable_set('tm_price_image_es', $form_state['values']['tm_price_image_es']);
  variable_set('tm_image_style', $form_state['values']['tm_image_style']);
  variable_set('tm_link_es', $form_state['values']['tm_link_es']);
  variable_set('tm_price_image_en', $form_state['values']['tm_price_image_en']);
  variable_set('tm_link_en', $form_state['values']['tm_link_en']);
}